/*--bs-font-sans-serif: 'Montserrat';
--bs-body-font-size: 0.9rem;
--bs-body-color: #4c2c69;
--bs-body-font-weight: 500;*/

html {
    font-family: 'Montserrat' !important;
    font-size: 16px !important;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.bg-techsound {
    --bs-bg-opacity: 1;
    background-color: #f6ae2d !important;
}

.bg-techsound-green {
    --bs-bg-opacity: 1;
    background-color: rgb(115, 191, 105);
}

.bg-techsound-red {
    --bs-bg-opacity: 1;
    background-color: rgb(242, 73, 92);
}

.text-techsound {
    --bs-text-opacity: 1;
    color: #4c2c69 !important;
    font-weight: normal !important;
}

.text-techsound-bold {
    --bs-text-opacity: 1;
    color: #4c2c69 !important;
    font-weight: bold !important;
}

.techsound-top20 {
    margin-top: 20px;
}

.techsound-top10 {
    margin-top: 10px;
}

.techsound-bottom20 {
    margin-bottom: 20px;
}

.techsound-blue {
    color: rgb(87, 148, 242) !important;
}

.techsound-orange {
    color: rgb(255, 152, 48) !important;
}

.techsound-green {
    color: rgb(115, 191, 105) !important;
}

.techsound-red {
    color: rgb(242, 73, 92) !important;
}

.techsound-violet {
    color: rgb(184, 119, 217) !important;
}

.techsound-primary {
    color: #4c2c69;
}

.techsound-secondary {
    color: #f6ae2d;
}

.techsound-smaller{
    font-size: 0.85rem;
}

.techsound-small {
    font-size: 0.95rem;
}

.techsound-card-header {
    color: #f6ae2d !important;
    background-color: #4c2c69 !important;
}

.techsound-card-height {
    min-height: 550px;
}

.techsound-icon-size {
    font-size: 2rem;
}

.btn-primary {
    --bs-btn-color: #f6ae2d;
    --bs-btn-bg: #4c2c69;
    --bs-btn-border-color: #4c2c69;
    --bs-btn-hover-color: #f6ae2d;
    --bs-btn-hover-bg: #4c2c69;
    --bs-btn-hover-border-color: #4c2c69;
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    --bs-btn-active-color: #f6ae2d;
    --bs-btn-active-bg: #4c2c69;
    --bs-btn-active-border-color: #4c2c69;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #f6ae2d;
    --bs-btn-disabled-bg: #4c2c69;
    --bs-btn-disabled-border-color: #4c2c69;
}

.btn-primary-inverse {
    --bs-btn-color: #4c2c69;
    --bs-btn-bg: #f6ae2d;
    --bs-btn-border-color: #f6ae2d;
    --bs-btn-hover-color: #4c2c69;
    --bs-btn-hover-bg: #f6ae2d;
    --bs-btn-hover-border-color: #f6ae2d;
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    --bs-btn-active-color: #4c2c69;
    --bs-btn-active-bg: #f6ae2d;
    --bs-btn-active-border-color: #f6ae2d;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #4c2c69;
    --bs-btn-disabled-bg: #f6ae2d;
    --bs-btn-disabled-border-color: #f6ae2d;
}

.btn-check:checked+.btn,.btn.active,.btn.show,.btn:first-child:active,:not(.btn-check)+.btn:active {
    color: #4c2c69;
    background-color: #f6ae2d;
    border-color: #f6ae2d;
}

.btn-outline-techsound {
    --bs-btn-color: #4c2c69;
    --bs-btn-border-color: #4c2c69;
    --bs-btn-hover-color: #f6ae2d;
    --bs-btn-hover-bg: #4c2c69;
    --bs-btn-hover-border-color: #4c2c69;
    --bs-btn-focus-shadow-rgb: 13, 110, 253;
    --bs-btn-active-color: #f6ae2d;
    --bs-btn-active-bg: #4c2c69;
    --bs-btn-active-border-color: #4c2c69;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #4c2c69;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #4c2c69;
    --bs-gradient: none;
}

.btn-outline-secondary {
    --bs-btn-color: #f6ae2d;
    --bs-btn-border-color: #f6ae2d;
    --bs-btn-hover-color: #4c2c69;
    --bs-btn-hover-bg: #f6ae2d;
    --bs-btn-hover-border-color: #f6ae2d;
    --bs-btn-focus-shadow-rgb: 108,117,125;
    --bs-btn-active-color: #4c2c69;
    --bs-btn-active-bg: #f6ae2d;
    --bs-btn-active-border-color: #f6ae2d;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #f6ae2d;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #f6ae2d;
    --bs-gradient: none;
}

.btn-outline-primary {
    --bs-btn-color: #4c2c69;
    --bs-btn-border-color: #4c2c69;
    --bs-btn-hover-color: #f6ae2d;
    --bs-btn-hover-bg: #4c2c69;
    --bs-btn-hover-border-color: #4c2c69;
    --bs-btn-focus-shadow-rgb: 13,110,253;
    --bs-btn-active-color: #f6ae2d;
    --bs-btn-active-bg: #4c2c69;
    --bs-btn-active-border-color: #4c2c69;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #4c2c69;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #4c2c69;
    --bs-gradient: none;
}

.btn-outline-tertiary {
    --bs-btn-color: gray;
    --bs-btn-border-color: darkgray;
    --bs-btn-hover-color: #f6ae2d;
    --bs-btn-hover-bg: gray;
    --bs-btn-hover-border-color: gray;
    --bs-btn-focus-shadow-rgb: 108,117,125;
    --bs-btn-active-color: #f6ae2d;
    --bs-btn-active-bg: gray;
    --bs-btn-active-border-color: gray;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: gray;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: gray;
    --bs-gradient: none;
}

.btn-outline-tertiary-inverse {
    --bs-btn-color: #f6ae2d;
    --bs-btn-border-color: darkorange;
    --bs-btn-hover-color: #f6ae2d;
    --bs-btn-hover-bg: gray;
    --bs-btn-hover-border-color: #f6ae2d;
    --bs-btn-focus-shadow-rgb: 108,117,125;
    --bs-btn-active-color: gray;
    --bs-btn-active-bg: #f6ae2d;
    --bs-btn-active-border-color: #f6ae2d;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #f6ae2d;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #f6ae2d;
    --bs-gradient: none;
}

.input-group-text {
    color: #f6ae2d !important;
    background-color: #4c2c69 !important;
    border: #4c2c69 !important;
}

.form-control {
    color: #4c2c69 !important;
}

.border-primary {
    --bs-border-opacity: 1;
    border-color: #4c2c69 !important;
}
